:root {
    --primary-blue: #283c81;    
    --primary-orange: #FF9900;    
    --secondary-blue: #283c81;    
    --section-bg-yellow: #eaa928;    
    --text-white: #ffffff;
    --text-dark: #333333;    
    --font-lola: 'FSLola', sans-serif;
}

@font-face {
    font-family: 'FSLola';
    src: url('../fonts/FS-Lola.woff2') format('woff2'),
      url('../fonts/FS-Lola.woff') format('woff');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
  }
  
  @font-face {
    font-family: 'FSLola';
    src: url('../fonts/FS-Lola-Bold.woff2') format('woff2'),
      url('../fonts/FS-Lola-Bold.woff') format('woff');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
  }
  
  @font-face {
    font-family: 'FSLola';
    src: url('../fonts/FS-Lola-Medium.woff2') format('woff2'),
      url('../fonts/FS-Lola-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
  }
  
  @font-face {
    font-family: 'FSLola';
    src: url('../fonts/FS-Lola-ExtraBold.woff2') format('woff2'),
      url('../fonts/FS-Lola-ExtraBold.woff') format('woff');
    font-weight: 800;
    font-style: normal;
    font-display: swap;
  }
  
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: var(--font-lola);
    color: var(--text-dark);
    line-height: 1.5;
}

/* Typography Helpers */
h1,
h2,
h3,
h4 {
    font-weight: 300;
    line-height: 1;
}

#page-title,
.bloco-fornecedores{
    display: none;
}

.container {
    max-width: 1400px;
    margin: 0 auto;
    padding: 0 1rem;
}

.node-page{
    background: #fff;
}

img{
    max-width: 100%;
    display: block;
    margin: 0 auto;
}

@media(min-width: 768px){
    img.mobile{
        display: none;
    }
}
@media(max-width: 768px){
    img.desktop{
        display: none;
    }
}

/* Header */
header {
    background-color: var(--primary-blue);
    color: var(--text-white);
    padding: 1rem 0;
}

.header-top {
    display: flex;    
    padding-bottom: 0.5rem;
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
    display: flex;
    justify-content: center;
    font-size: 1.2rem;
    letter-spacing: 1px;
    font-weight: 300;

}

.header-top a {
    color: white;
    text-decoration: none;
    margin-left: 1.5rem;
}

@media(max-width: 768px){
    header{
        display: none;
    }
}

.hero-section {
    background: var(--primary-blue) url('img/bg-top.jpg') no-repeat bottom right;    
    background-size: contain;
}

/* Business Types Section */
.business-section {
    padding: 3rem 0;
    text-align: center;
}

@media(min-width: 768px){
    .business-section img{
        max-width: 900px;
    }    
}

.section-title {
    color: var(--primary-blue);
    font-size: 2.5rem;
    margin: 1rem 0;    
    letter-spacing: 1px;
}

@media(max-width: 768px){
    .section-title {
        font-size: 2rem;
    }
}

.section-title strong{
    font-weight: 900;
}

.business-section span{
    font-weight: 900;
    color: var(--primary-orange);
}

.business-section p{
    font-size: 1.8rem;
    max-width: 800px;
    margin: 20px auto;
    line-height: 1.1;
}

@media(max-width: 768px){
    .business-section p{
        font-size: 1.5rem;
    }
}

/*-------------------------------------------------------*/

.business-types-container {
    background-color: var(--section-bg-yellow);
    padding: 3rem 0;
    margin: 0;
    text-align: center;
}

.business-types-container h2{
    color: var(--primary-blue);
    font-size: 2.5rem;
    margin: 1rem 0;  
    line-height: 3.5rem;
    letter-spacing: 1;
}

.business-types-container h2 strong{
    color: var(--primary-blue);
    font-weight: 900;
    font-size: 3.5rem;
    letter-spacing: 2px;
}

.business-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 1.5rem;
    padding: 2rem 0;
}

.business-card {
    background-color: var(--primary-blue);
    color: white;
    padding: 2rem 1rem;
    border-radius: 0;    
    text-align: center;        
}

.business-card h4{
    font-size: 1.75rem;
    font-weight: 900;
    color: var(--section-bg-yellow);
    margin: 1rem 0;
    line-height: 1;
}

.business-card p{
    font-size: 1.15rem;    
    color: #fff;   
}

.business-icon {
    font-size: 2rem;
    margin-bottom: 1rem;
    display: block;
}

/* Products Section (Blue Background) */
.products-section {
    background: #004392 url('img/bg-topicos.jpg') no-repeat bottom right;  
    background-size: contain;
    padding: 4rem 0 2rem 0;
}
.products-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    gap: 2rem;
    margin-top: 3rem;
}

.product-card {
    background: white;
    color: var(--primary-blue);
    border-radius: 1.5rem;
    /* More rounded */
    padding: 2rem;
    text-align: center;
    position: relative;
    overflow: hidden;
}

.product-title {
    background-color: var(--primary-blue);
    color: white;
    display: inline-block;
    padding: 0.5rem 1.5rem;
    border-radius: 2rem;
    font-weight: bold;
    margin-bottom: 1rem;
    text-transform: uppercase;
}

.product-price {
    font-size: 2rem;
    font-weight: 900;
    color: var(--primary-orange);
    margin: 1rem 0;
}

/* Payment Methods */
.payment-methods-section {
    padding: 3rem 0;
    text-align: center;
    background: white;
}

@media(min-width: 768px){
    .payment-methods-section img{
        max-width: 900px;
    }    
}


@media(max-width: 768px){
    .products-section {
        padding: 0;
    }

    .products-section .container {
        padding: 0;
    }
}


/* Quote Section */
.quote-section {
    padding: 4rem 0 2rem 0;
    border-top: 1px solid #000;
    border-bottom: 1px solid #000;
    width: 100%;
    margin-bottom: 6rem;
    background: #fff;
}

@media(max-width: 768px){
    .quote-section {
        margin-bottom: 3rem;
    }
}
.quote-section h2 {
    width: 100%;
    max-width: 50%;
    text-align: right !important;
    display: inline-block;
    background-color: #e86f16;
    color: white;
    text-align: center;    
    font-weight: 300;
    font-size: 2rem;
    padding: 1.5rem 2rem 1.5rem 1.5rem;
}

@media(max-width: 768px){
    .quote-section h2 {
        max-width: 80%;        
    }
}

.quote-section h2 strong{
    font-weight: 900;
}
/* Testimonials */
.testimonials-section {
    background-color: #fff;
    padding: 3rem 0;
}

.testimonials-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 2rem;
}

.testimonial-card {
    background: #f2f2f2 url('img/bg-depoimento.png') no-repeat bottom right;
    background-size: 100%;
    padding: 2rem;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.05);    
    position: relative;
}

.testimonial-card p{
    font-size: 1.5rem;
    letter-spacing: 1px;
}

.testimonial-card div{
    font-size: 1rem;
}

/*---- FAQ Section --------------------------------------------------------------------- */
.faq-section {    
    background: white;
}

.faq-container {        
    margin: 0 auto;
    display: flex;
    flex-direction: row;
    gap: 2rem;
}

.faq-container .col-1{
    width: 50%;
    display: flex;
    justify-content: flex-end;
}

.faq-container .col-1 img{
    align-self: end;
}


.faq-container .col-2{
    width: 50%;
}

.faq-container .col-2 h2{
    color: #000;
    font-size: 2.25rem;
    margin: 1rem 0;  
    line-height: 1;
    letter-spacing: 1px;
    max-width:500px;
}

.faq-container .col-2 h2 strong{
    font-weight: 900;
}

.faq-container .faq-item {
    background-color: #f5f5f5;
    margin-bottom: 1rem;
    border-radius: 15px;
    overflow: hidden;
}

.faq-container .faq-summary {
    padding: 1rem;
    cursor: pointer;
    font-weight: bold;
    list-style: none;
    /* Hide default triangle */
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 1.4rem;
    font-weight: 300;
    letter-spacing: 1px;
    line-height: 1;
}

@media(max-width: 768px){
    .faq-container .faq-summary {
        font-size: 1.1rem;
    }
}

.faq-container .faq-summary::after {
    content: '▼';    
    font-weight: bold;
    color: var(--primary-orange);
    font-size: .95rem;
}

.faq-container details[open] .faq-summary::after {
    content: '-';
}

.faq-container .faq-content {
    padding: 1rem;
    background: white;
    border-top: 1px solid #ddd;
}

.faq-container .cta-button {
    display: inline-block;
    background-color: var(--primary-orange);
    color: white;
    padding: .25rem 1rem;
    border-radius: 10px;
    text-decoration: none;
    font-size: 1.75rem;
    font-weight: 300;
    letter-spacing: 2px;
    margin-bottom: 50px;
}

.faq-container .cta-button:hover {
    background-color: var(--primary-blue);
    color: white;
}

@media(max-width: 768px){

    .faq-container {
        flex-direction: column;
    }

    .faq-container .col-1 {
        width: 100%;
    }

    .faq-container .col-2 {
        width: 100%;
    }
    
}

/*--- Bottom Banner--------------------------------------------------------------------- */
.bottom-banner {
    background: var(--primary-blue) url('img/bg-top.jpg') no-repeat bottom right;    
    background-size: contain;
    padding: 2rem 0;
}

@media(max-width: 768px){
    .bottom-banner{
        padding: 0;
    }
}
@media(min-width: 768px){
    .bottom-banner img{
        max-width: 1200px;
    }
}

/* App Download Section */
.app-section {
    padding: 4rem 0;
    text-align: center;
    background: #fff;
}

@media(max-width: 768px){
    .app-section {
        padding: 0;
    }
}

.app-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap-reverse;
    max-width: 1100px;    
}

.app-image{
    width: 45%;
    padding: 7%;
}

@media(max-width: 768px){   
    .app-image {
        width: 40%;
        padding: 0;
    }   
}

.app-section h2{
    color: var(--primary-orange);
    font-size: 2.25rem;
    margin: 1rem 0;  
    line-height: 1;
    letter-spacing: 1px;
    max-width:500px;
}

@media(max-width: 768px){
    .app-section h2 {
        font-size: 1.75rem;
    }
}

.app-section h2 strong{
    font-weight: 900;
    text-transform: uppercase;
}

.app-section p{
    font-size: 1.45rem;
    letter-spacing: 1px;    
    line-height: 1.5;
}

@media(max-width: 768px){
    .app-section p {
        font-size: 1.15rem;
        line-height: 1.2;
    }
}

.app-text {
    width: 50%;
    flex: 1;
    text-align: left;
    padding: 2rem;
}

@media(max-width: 768px){
    .app-text { 
        width: 60%;
        padding: 1rem;
    }
}

.app-codes {
    display: flex;
    gap: 0;
    margin-top: 2rem;
    flex-direction: column;
}

.qr-placeholder {
    width: 100px;
    height: 100px;
    background: #ccc;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 0.8rem;
}




/* Footer */
footer {           
    text-align: center;
    padding-bottom: 50px;
    background: #fff;
}

@media(min-width: 768px){
    footer img{
        max-width: 900px;
    }
}

